Package com.arms.api.analysis.cost.service

## Class SalaryLogImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.analysis.cost.service.SalaryLogImpl

- All Implemented Interfaces:
    `SalaryLog`, `TreeService`

      @Service("salaryLog")
      public class SalaryLogImpl
      extends TreeServiceImpl
      implements SalaryLog

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SalaryLogImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<SalaryLogJdbcDTO>` | `findAllLogs​(java.lang.String cMethod, java.lang.String startDate, java.lang.String endDate)` |
    `java.util.Map<java.lang.String,​SalaryLogJdbcDTO>` | `findAllLogsToMap​(java.lang.String cMethod, java.lang.String endDate)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### SalaryLogImpl

          public SalaryLogImpl()

  - ### Method Detail

    - #### findAllLogs

          public java.util.List<SalaryLogJdbcDTO> findAllLogs​(java.lang.String cMethod,
                                                              java.lang.String startDate,
                                                              java.lang.String endDate)

      Specified by:
        `findAllLogs` in interface `SalaryLog`

    - #### findAllLogsToMap

          public java.util.Map<java.lang.String,​SalaryLogJdbcDTO> findAllLogsToMap​(java.lang.String cMethod,
                                                                                         java.lang.String endDate)

      Specified by:
        `findAllLogsToMap` in interface `SalaryLog`